Update qgit to 2.7 and switch to Qt5 version
ClosedPublic

Authored by adridg on Sep 9 2017, 7:35 PM.

Details

Summary

Update qgit to 2.7 (current in 2017, from a different upstream),
and switch to Qt5 (the Qt4 version is no longer maintained).

Test Plan

Built on amd64

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
adridg created this revision.Sep 9 2017, 7:35 PM
tcberner added inline comments.Sep 9 2017, 7:45 PM
devel/qgit/Makefile
8 ↗(On Diff #32857)

you could takes this for kde@ or adridg@

adridg updated this revision to Diff 32861.Sep 9 2017, 9:07 PM

Take maintainership

adridg marked an inline comment as done.Sep 9 2017, 9:08 PM
This revision is now accepted and ready to land.Sep 9 2017, 9:13 PM
adridg updated this revision to Diff 32862.Sep 9 2017, 9:24 PM

Remove trailing whitespace

This revision now requires review to proceed.Sep 9 2017, 9:24 PM
tcberner accepted this revision.Sep 9 2017, 9:29 PM

Looks good to me.

This revision is now accepted and ready to land.Sep 9 2017, 9:29 PM
mat requested changes to this revision.Sep 11 2017, 8:06 PM
mat added inline comments.
devel/qgit/Makefile
19 ↗(On Diff #32862)
DISTVERSIONPREFIX= ${PORTNAME}-
This revision now requires changes to proceed.Sep 11 2017, 8:06 PM
adridg updated this revision to Diff 33015.Sep 13 2017, 1:21 PM

Use DISTVERSIONPREFIX, as suggested by mat@

adridg marked an inline comment as done.Sep 13 2017, 1:30 PM
This revision was automatically updated to reflect the committed changes.